## libjconv 2.8

=== Makefile ===

CC = gcc
OBJS = conv.o info.o compat.o
SRCS = $(OBJS:.o=.c)
CFLAGS += -Wall -O9 -fPIC -DHAVE_CODESET
#CFLAGS = -g -Wall -O0 -fPIC
PKGDIR = libjconv-2.8

all: jconv libjconv.so libjconv.a default.conf

jconv: jconv.o $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o jconv jconv.o $(OBJS)

libjconv.so: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname,libjconv.so.0 -o libjconv.so $(OBJS)

libjconv.a: $(OBJS)
	ar rc libjconv.a $(OBJS)

clean:
	rm -rf $(OBJS) jconv.o *~ jconv $(PKGDIR) $(PKGDIR).tar.gz
	rm -f tmp.conf
	rm -f libjconv.so libjconv.a

dist: clean
	mkdir $(PKGDIR)
	cp *.c *.h Makefile *.spec COPYING README *.conf $(PKGDIR)
	tar cvfz $(PKGDIR).tar.gz $(PKGDIR)

default.conf:
	( cd /usr/share/i18n/locales/; \
	for i in ??_??; do grep "^% Charset" $$i /dev/null; done \
	| sed -e "s/% Charset//g" | sed -e "s/:[0-9]*$$//g" \
	| grep -v "^ko_KR" \
	| grep -v "^zh_CN" \
	| sed -e "s/:: \+/   : /g" \
	| sed -e "s/ISO_/ISO-/g" \
	) >> tmp.conf
	echo "# name  : codeset    [ file-codesets ... ]" > default.conf
	cat tmp.conf >> default.conf
	echo "ja_JP   : EUC-JP ISO-2022-JP ISO-2022-JP-2 EUC-JP SJIS" \
		>> default.conf
	echo "ko_KR   : EUC-KR ISO-2022-KR EUC-KR" \
		>> default.conf
	echo "zh_CN   : EUC-CN ISO-2022-CN EUC-CN GB2312" \
		>> default.conf
	echo "zh_TW   : EUC-TW ISO-2022-CN EUC-TW BIG5" \
		>> default.conf
	sed -e \
	"s/\\(.._..\\) \+: \+\\([^ ]\+\\)$$/\\1.UTF-8 : UTF-8 \\2 UTF-8/" \
		< tmp.conf >> default.conf
	echo "ja_JP.UTF-8 : UTF-8 ISO-2022-JP ISO-2022-JP-2 EUC-JP SJIS UTF-8" \
		>> default.conf
	echo "ko_KR.UTF-8 : UTF-8 ISO-2022-KR EUC-KR UTF-8" \
		>> default.conf
	echo "zh_CN.UTF-8 : UTF-8 ISO-2022-CN EUC-CN GB2312 UTF-8" \
		>> default.conf
	echo "zh_TW.UTF-8 : UTF-8 ISO-2022-CN EUC-TW BIG5 UTF-8" \
		>> default.conf

=== debian/changelog ===
libjconv (2.8-7) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper compatibility level 9.
  * Add build-indep and build-arch targets in debian/rules.
  * Bump Standards-Version to 3.9.8.
  * Remove libc6-dev from libjconv-dev Depends.
  * Remove duplicate Section field in binary stanza from source stanza.
  * Switch from deprecated substvar Source-Version to binary:Version.
  * Switch to machine-readable copyright format 1.0.
  * Enable bindnow hardening buildflag.
  * Remove template boilerplate from debian/rules.
  * Use dpkg makefile fragments in debian/rules.
  * Switch to source format 3.0 (quilt).
  * Fix package Description fields.
  * Remove obsolete Conflicts from libjconv-bin package.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2016 02:59:12 +0200

libjconv (2.8-6) unstable; urgency=low

  * QA upload.
  * Specify `-L.' when linking with libjconv.so.  Closes: #421784.

 -- Matej Vela <vela@debian.org>  Tue,  1 May 2007 15:45:47 +0200

libjconv (2.8-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#419090); set maintainer to Debian QA Group.
  * Link jconv to libjconv.so.
  * Switch to debhelper 5.
  * Fix override disparities.
    - Change section of libjconv-bin to devel.
    - Change section of libjconv-dev to libdevel.
  * debian/copyright: Update FSF address.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Mon, 30 Apr 2007 11:29:37 +0200

libjconv (2.8-4.0) unstable; urgency=low

  * NMU (DebCamp BSP).
  * debian/control:
    + Set debhelper dependency to (>= 3.0).
    + Proper conflicts with wdg-htmlvalidator (<< 1.5.5-2) to fix filename
      collision in libjconv-bin (Closes: #148301, #201517).
    + Set policy to 3.6.0.
    + Rewrapped the long description (Closes: #131579).
  * debian/copyright:
    + Replaced "Author(s)" with "Authors".
  * debian/rules:
    + Removed deprecated call to dh_undocumented.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 19 Jul 2003 10:50:43 +0200

libjconv (2.8-4) unstable; urgency=low

  * debian/control: spelling error in description fixed. (Closes: #124986)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 30 Dec 2001 23:51:38 +0300

libjconv (2.8-3) unstable; urgency=low

  * Expanded short description. (Closes: #103014) 

 -- Peter Novodvorsky <nidd@debian.org>  Mon,  2 Jul 2001 23:15:37 +0400

libjconv (2.8-2) unstable; urgency=low

  * Changed sections of the packages. Now -dev is devel, lib is libs and
    -bin is misc.

 -- Peter Novodvorsky <nidd@debian.org>  Tue, 17 Apr 2001 09:33:06 +0400

libjconv (2.8-1) unstable; urgency=low

  * Initial Release. (Closes: #94020)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 15 Apr 2001 02:01:09 +0400

=== debian/control ===
Source: libjconv
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: libjconv-dev
Section: libdevel
Architecture: any
Depends: libjconv2 (= ${binary:Version}), ${misc:Depends}
Description: charset conversion library - development
 This library provide Japanese Code Conversion capability
 based on iconv. It is based by application to enlarge
 number of supported encoding. It is not only for Japanese
 people, it is used as helper in sylpheed mailer.
 .
 This package contains development files.

Package: libjconv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: charset conversion library
 This library provide Japanese Code Conversion capability
 based on iconv. It is based by application to enlarge
 number of supported encoding. It is not only for Japanese
 people, it is used as helper in sylpheed mailer.

Package: libjconv-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: charset conversion library - binaries
 This library provide Japanese Code Conversion capability based on iconv. It
 is based by application to enlarge number of supported encoding. It is not
 only for Japanese people, it is used as helper in sylpheed mailer.
 .
 This package contains the jconv program which does conversions between
 encodings using libjconv.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

export CPPFLAGS CFLAGS LDFLAGS

# shared library versions, option 1
version=2.8
major=2

devdir := debian/libjconv-dev
libdir := debian/libjconv$(major)
bindir := debian/libjconv-bin

build-indep:

build-arch:
	dh_testdir

	$(MAKE) MAJOR=$(major)

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean

.PHONY: build-indep build-arch build clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -m 755 libjconv.so $(libdir)/usr/lib/libjconv.so.$(version)
	install -m 644 libjconv.a $(devdir)/usr/lib
	install -m 755 jconv $(bindir)/usr/bin
	install -m 644 jconv.h $(devdir)/usr/include
	install -m 644 default.conf $(libdir)/etc/libjconv

binary-indep: build-indep
# We have nothing to do by default.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -Llibjconv$(major) -l$(libdir)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: install-arch binary-indep binary-arch binary
